List small molecule design runs
GET/compute/v1/small-molecule/design
List small molecule design runs, optionally filtered by workspace
Query Parameters
after_id: optional string
Return results after this ID
before_id: optional string
Return results before this ID
limit: optional number
Max items to return. Defaults to 100.
minimum1
maximum100
workspace_id: optional string
Filter by workspace ID. Only used with admin API keys. If not provided, defaults to the workspace associated with the API key, or the default workspace for admin keys.
Returns
first_id: string
ID of the first item. Use as before_id for the previous page.
has_more: boolean
last_id: string
ID of the last item. Use as after_id for the next page.
List small molecule design runs
curl https://api.boltz.bio/compute/v1/small-molecule/design \
-H "x-api-key: $BOLTZ_API_KEY"{
"data": [
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"livemode": true,
"progress": {
"num_molecules_generated": 0,
"total_molecules_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}Returns Examples
{
"data": [
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"livemode": true,
"progress": {
"num_molecules_generated": 0,
"total_molecules_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}